Skip to content
Projects
Groups
Snippets
Help
Loading...
Help
Support
Keyboard shortcuts
?
Submit feedback
Contribute to GitLab
Sign in / Register
Toggle navigation
slapos
Project overview
Project overview
Details
Activity
Releases
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Issues
0
Issues
0
List
Boards
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Analytics
Analytics
CI / CD
Repository
Value Stream
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
HongzheWang
slapos
Commits
f0ab03f7
Commit
f0ab03f7
authored
Aug 07, 2019
by
Rafael Monnerat
Browse files
Options
Browse Files
Download
Plain Diff
Update Release Candidate
parents
cacf65d5
d0c208a6
Changes
14
Show whitespace changes
Inline
Side-by-side
Showing
14 changed files
with
24 additions
and
79 deletions
+24
-79
component/aspell/Compile-Fixes-for-GCC-7.patch
component/aspell/Compile-Fixes-for-GCC-7.patch
+0
-40
component/aspell/buildout.cfg
component/aspell/buildout.cfg
+2
-5
component/nss/buildout.cfg
component/nss/buildout.cfg
+2
-2
component/zstd/buildout.cfg
component/zstd/buildout.cfg
+3
-2
slapos/recipe/neoppod.py
slapos/recipe/neoppod.py
+2
-0
software/ajaxplorer/software.cfg
software/ajaxplorer/software.cfg
+1
-1
software/apache-frontend/software.cfg
software/apache-frontend/software.cfg
+1
-1
software/caddy-frontend/software.cfg
software/caddy-frontend/software.cfg
+1
-1
software/dream/software.cfg
software/dream/software.cfg
+1
-1
software/jupyter/software.cfg
software/jupyter/software.cfg
+1
-1
software/neotest/software.cfg
software/neotest/software.cfg
+1
-1
stack/erp5/buildout.hash.cfg
stack/erp5/buildout.hash.cfg
+2
-2
stack/erp5/instance-mariadb-resiliency-after-import-script.sh.in
...rp5/instance-mariadb-resiliency-after-import-script.sh.in
+7
-21
stack/erp5/instance-mariadb.cfg.in
stack/erp5/instance-mariadb.cfg.in
+0
-1
No files found.
component/aspell/Compile-Fixes-for-GCC-7.patch
deleted
100644 → 0
View file @
cacf65d5
From 8089fa02122fed0a6394eba14bbedcb1d18e2384 Mon Sep 17 00:00:00 2001
From: Kevin Atkinson <kevina@gnu.org>
Date: Thu, 29 Dec 2016 00:50:31 -0500
Subject: Compile Fixes for GCC 7.
Closes #519.
---
modules/filter/tex.cpp | 2 +-
prog/check_funs.cpp | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/modules/filter/tex.cpp b/modules/filter/tex.cpp
index a979539..19ab63c 100644
--- a/modules/filter/tex.cpp
+++ b/modules/filter/tex.cpp
@@ -174,7 +174,7 @@
namespace {
if (c == '{') {
- if (top.in_what == Parm || top.in_what == Opt || top.do_check == '\0')
+ if (top.in_what == Parm || top.in_what == Opt || *top.do_check == '\0')
push_command(Parm);
top.in_what = Parm;
diff --git a/prog/check_funs.cpp b/prog/check_funs.cpp
index db54f3d..89ee09d 100644
--- a/prog/check_funs.cpp
+++ b/prog/check_funs.cpp
@@ -647,7 +647,7 @@
static void print_truncate(FILE * out, const char * word, int width) {
}
}
if (i == width-1) {
- if (word == '\0')
+ if (*word == '\0')
put(out,' ');
else if (word[len] == '\0')
put(out, word, len);
--
2.15.0.rc0
component/aspell/buildout.cfg
View file @
f0ab03f7
...
@@ -16,11 +16,8 @@ configure-command = ./configure --vars ASPELL=${aspell:location}/bin/aspell PREZ
...
@@ -16,11 +16,8 @@ configure-command = ./configure --vars ASPELL=${aspell:location}/bin/aspell PREZ
[aspell]
[aspell]
recipe = slapos.recipe.cmmi
recipe = slapos.recipe.cmmi
shared = false
shared = false
url = http://ftp.gnu.org/gnu/aspell/aspell-0.60.6.1.tar.gz
url = https://ftp.gnu.org/gnu/aspell/aspell-0.60.7.tar.gz
md5sum = e66a9c9af6a60dc46134fdacf6ce97d7
md5sum = 8ef2252609c511cd2bb26f3a3932ef28
patch-options = -p1
patches =
${:_profile_base_location_}/Compile-Fixes-for-GCC-7.patch#0159a8841e1241153d2105d157fc8225
environment =
environment =
PATH=${patch:location}/bin:${perl:location}/bin:%(PATH)s
PATH=${patch:location}/bin:${perl:location}/bin:%(PATH)s
CPPFLAGS=-I${ncurses:location}/include
CPPFLAGS=-I${ncurses:location}/include
...
...
component/nss/buildout.cfg
View file @
f0ab03f7
...
@@ -6,8 +6,8 @@ extends =
...
@@ -6,8 +6,8 @@ extends =
[nss]
[nss]
recipe = slapos.recipe.cmmi
recipe = slapos.recipe.cmmi
url = https://ftp.mozilla.org/pub/security/nss/releases/NSS_3_
29_RTM/src/nss-3.29
.tar.gz
url = https://ftp.mozilla.org/pub/security/nss/releases/NSS_3_
45_RTM/src/nss-3.45
.tar.gz
md5sum =
253d1ae4cf5a560373bbadb4bf483945
md5sum =
f1752d7223ee9d910d551e57264bafa8
location = ${buildout:parts-directory}/${:_buildout_section_name_}
location = ${buildout:parts-directory}/${:_buildout_section_name_}
configure-command = make -j1 -C nss/coreconf/nsinstall all
configure-command = make -j1 -C nss/coreconf/nsinstall all
# XXX How to build nss-config and pkg-config files ?
# XXX How to build nss-config and pkg-config files ?
...
...
component/zstd/buildout.cfg
View file @
f0ab03f7
...
@@ -4,8 +4,9 @@ parts =
...
@@ -4,8 +4,9 @@ parts =
[zstd]
[zstd]
recipe = slapos.recipe.cmmi
recipe = slapos.recipe.cmmi
url = https://github.com/facebook/zstd/archive/v1.3.8.tar.gz
url = https://github.com/facebook/zstd/releases/download/v${:version}/zstd-${:version}.tar.gz
md5sum = 0e85b062003729776c6114cd9632cf75
version = 1.4.2
md5sum = 1d6aea1cd67a8eab7aa6905f4bf148f8
shared = true
shared = true
location = @@LOCATION@@
location = @@LOCATION@@
configure-command = :
configure-command = :
...
...
slapos/recipe/neoppod.py
View file @
f0ab03f7
...
@@ -25,6 +25,7 @@
...
@@ -25,6 +25,7 @@
#
#
##############################################################################
##############################################################################
import
os
import
os
import
shlex
from
slapos.recipe.librecipe
import
GenericBaseRecipe
from
slapos.recipe.librecipe
import
GenericBaseRecipe
from
zc.buildout
import
UserError
from
zc.buildout
import
UserError
...
@@ -60,6 +61,7 @@ class NeoBaseRecipe(GenericBaseRecipe):
...
@@ -60,6 +61,7 @@ class NeoBaseRecipe(GenericBaseRecipe):
'--key'
,
etc
+
'neo.key'
,
'--key'
,
etc
+
'neo.key'
,
)
)
args
+=
self
.
_getOptionList
()
args
+=
self
.
_getOptionList
()
args
+=
shlex
.
split
(
options
.
get
(
'extra-options'
,
''
))
return
self
.
createWrapper
(
options
[
'wrapper'
],
args
)
return
self
.
createWrapper
(
options
[
'wrapper'
],
args
)
def
_getBindingAddress
(
self
):
def
_getBindingAddress
(
self
):
...
...
software/ajaxplorer/software.cfg
View file @
f0ab03f7
...
@@ -83,7 +83,7 @@ location = ${buildout:parts-directory}/${:_buildout_section_name_}
...
@@ -83,7 +83,7 @@ location = ${buildout:parts-directory}/${:_buildout_section_name_}
[versions]
[versions]
# Numpy 1.7.0 doesn't install well
# Numpy 1.7.0 doesn't install well
numpy = 1.
6.2
numpy = 1.
16.4
# websockify 0.4.1 doesn't install well
# websockify 0.4.1 doesn't install well
websockify = 0.3.0
websockify = 0.3.0
plone.recipe.command = 1.1
plone.recipe.command = 1.1
...
...
software/apache-frontend/software.cfg
View file @
f0ab03f7
...
@@ -11,7 +11,7 @@ pycrypto = 2.6.1
...
@@ -11,7 +11,7 @@ pycrypto = 2.6.1
rdiff-backup = 1.0.5+SlapOSPatched001
rdiff-backup = 1.0.5+SlapOSPatched001
slapos.recipe.template = 4.3
slapos.recipe.template = 4.3
smmap = 0.9.0
smmap = 0.9.0
numpy = 1.1
1.2
numpy = 1.1
6.4
websockify = 0.8.0
websockify = 0.8.0
software/caddy-frontend/software.cfg
View file @
f0ab03f7
...
@@ -24,7 +24,7 @@ pycrypto = 2.6.1
...
@@ -24,7 +24,7 @@ pycrypto = 2.6.1
rdiff-backup = 1.0.5+SlapOSPatched001
rdiff-backup = 1.0.5+SlapOSPatched001
slapos.recipe.template = 4.3
slapos.recipe.template = 4.3
smmap = 0.9.0
smmap = 0.9.0
numpy = 1.1
1.2
numpy = 1.1
6.4
websockify = 0.8.0
websockify = 0.8.0
collective.recipe.shelloutput = 0.1
collective.recipe.shelloutput = 0.1
software/dream/software.cfg
View file @
f0ab03f7
...
@@ -43,7 +43,7 @@ pydot = 1.0.28
...
@@ -43,7 +43,7 @@ pydot = 1.0.28
xlrd = 0.9.3
xlrd = 0.9.3
xlwt = 0.7.5
xlwt = 0.7.5
pyparsing = 2.0.3
pyparsing = 2.0.3
numpy = 1.
9.1
numpy = 1.
16.4
scipy = 0.13.3
scipy = 0.13.3
simpy = 3.0.5
simpy = 3.0.5
zope.dottedname = 4.1.0
zope.dottedname = 4.1.0
...
...
software/jupyter/software.cfg
View file @
f0ab03f7
...
@@ -92,7 +92,7 @@ tornado = 4.4.2
...
@@ -92,7 +92,7 @@ tornado = 4.4.2
traitlets = 4.3.2
traitlets = 4.3.2
widgetsnbextension = 2.0.0
widgetsnbextension = 2.0.0
# numpy >= 1.13.1 is required for numpy.core.multiarray
# numpy >= 1.13.1 is required for numpy.core.multiarray
numpy = 1.1
3.1
numpy = 1.1
6.4
# Required by:
# Required by:
...
...
software/neotest/software.cfg
View file @
f0ab03f7
...
@@ -121,7 +121,7 @@ revision= v0.11-15-gf785ac079b
...
@@ -121,7 +121,7 @@ revision= v0.11-15-gf785ac079b
# ping eggs versions
# ping eggs versions
[versions]
[versions]
ZODB3 = 3.11.0
ZODB3 = 3.11.0
numpy = 1.1
4.2
numpy = 1.1
6.4
zope.testing = 4.6.2
zope.testing = 4.6.2
pygolang = 0.0.0.dev4
pygolang = 0.0.0.dev4
erp5.util = 0.4.51
erp5.util = 0.4.51
...
...
stack/erp5/buildout.hash.cfg
View file @
f0ab03f7
...
@@ -14,7 +14,7 @@
...
@@ -14,7 +14,7 @@
# not need these here).
# not need these here).
[mariadb-resiliency-after-import-script]
[mariadb-resiliency-after-import-script]
filename = instance-mariadb-resiliency-after-import-script.sh.in
filename = instance-mariadb-resiliency-after-import-script.sh.in
md5sum =
c1f1083bf6c911a0e65dcb841fba327d
md5sum =
aff3bb574c8f0a2db9911fee30540e12
[mariadb-slow-query-report-script]
[mariadb-slow-query-report-script]
filename = mysql-querydigest.sh.in
filename = mysql-querydigest.sh.in
...
@@ -26,7 +26,7 @@ md5sum = d95e8500bdc72d1f40b97cc414656e7e
...
@@ -26,7 +26,7 @@ md5sum = d95e8500bdc72d1f40b97cc414656e7e
[template-mariadb]
[template-mariadb]
filename = instance-mariadb.cfg.in
filename = instance-mariadb.cfg.in
md5sum =
9df786692c61bd8d3a6f4e7ed15f272f
md5sum =
5a93ff00ee4eb60cc065d51fb437877a
[template-kumofs]
[template-kumofs]
filename = instance-kumofs.cfg.in
filename = instance-kumofs.cfg.in
...
...
stack/erp5/instance-mariadb-resiliency-after-import-script.sh.in
View file @
f0ab03f7
...
@@ -18,12 +18,10 @@ mariadb_backup_directory='{{ mariadb_backup_directory }}'
...
@@ -18,12 +18,10 @@ mariadb_backup_directory='{{ mariadb_backup_directory }}'
pid_file='{{ pid_file }}'
pid_file='{{ pid_file }}'
binlog_path='{{ binlog_path }}'
binlog_path='{{ binlog_path }}'
server_executable='{{ server_executable }}'
server_executable='{{ server_executable }}'
update_executable='{{ update_executable }}'
# Make sure mariadb is not already running
# Make sure mariadb is not already running
if [ -e "$pid_file" ]; then
if [ -e "$pid_file" ]; then
pid=$(cat "$pid_file")
if ! pid=$(cat "$pid_file"); then
if [ $? -ne 0 ]; then
echo "Cannot read Mariadb pidfile, assuming running. Aborting."
echo "Cannot read Mariadb pidfile, assuming running. Aborting."
exit 1
exit 1
fi
fi
...
@@ -34,7 +32,7 @@ if [ -e "$pid_file" ]; then
...
@@ -34,7 +32,7 @@ if [ -e "$pid_file" ]; then
fi
fi
echo "Deleting existing database..."
echo "Deleting existing database..."
rm -r "$mariadb_data_directory"/* >/dev/null 2>&1 || tru
e
find "$mariadb_data_directory" -mindepth 1 -delet
e
# $binlog_path can be empty if incremental_backup_retention_days <= -1
# $binlog_path can be empty if incremental_backup_retention_days <= -1
if [ -n "$binlog_path" ]; then
if [ -n "$binlog_path" ]; then
...
@@ -57,26 +55,14 @@ if ! [ -d /proc/$mysql_pid ]; then
...
@@ -57,26 +55,14 @@ if ! [ -d /proc/$mysql_pid ]; then
echo "mysqld exited, aborting."
echo "mysqld exited, aborting."
exit 1
exit 1
fi
fi
"$update_executable" &
mariadb_update_pid=$!
sleep 60
# If mariadb_update is still running, abort
if [ -d /proc/$mariadb_update_pid ]; then
echo "mariadb_update still running after timeout, aborting."
kill $mariadb_update_pid
exit 1
fi
echo "Importing data..."
echo "Importing data..."
# Use latest dump XXX can contain funny characters
# Use latest dump XXX can contain funny characters
dump=$(ls -r "$mariadb_backup_directory" | head -1)
dump=$(ls -r "$mariadb_backup_directory" | head -1)
zcat "$mariadb_backup_directory/$dump" | $mysql_executable -u root
zcat "$mariadb_backup_directory/$dump" | $mysql_executable -u root || {
RESTORE_EXIT_CODE=$?
RESTORE_EXIT_CODE=$?
if [ $RESTORE_EXIT_CODE -eq 0 ]; then
echo 'Backup restoration successfully completed.'
else
echo 'Backup restoration failed.'
echo 'Backup restoration failed.'
fi
exit $RESTORE_EXIT_CODE
}
e
xit $RESTORE_EXIT_CODE
e
cho 'Backup restoration successfully completed.'
stack/erp5/instance-mariadb.cfg.in
View file @
f0ab03f7
...
@@ -314,7 +314,6 @@ context =
...
@@ -314,7 +314,6 @@ context =
key pid_file my-cnf-parameters:pid-file
key pid_file my-cnf-parameters:pid-file
key binlog_path my-cnf-parameters:binlog-path
key binlog_path my-cnf-parameters:binlog-path
key server_executable mysqld:rendered
key server_executable mysqld:rendered
key update_executable update-mysql:output
[{{ section('monitor-generate-mariadb-slow-query-report') }}]
[{{ section('monitor-generate-mariadb-slow-query-report') }}]
recipe = slapos.cookbook:cron.d
recipe = slapos.cookbook:cron.d
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment